Skip to content

Updates a waitlist process with the specified ID.

Request

This method will update an existing waitlist process with the specified ID.

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

idstringrequired

The ID of the waitlist process to update.

Bodyapplication/jsonrequired

The updated waitlist process that will be saved.

automatic_optionsobject(Automatic Options)required
confirmation_emailobject(Confirmation Email)required

The email to send when the application is received

enable_confirmation_emailboolean(Enable Confirmation Email)

Whether or not an email should be sent when the person is put on the waitlist

enable_final_notificationboolean(Enable Final Notification)

A final notification to people before they are bumped

enable_smsboolean(Enable Sms)

Whether to enable SMS messaging

final_notification_optionsobject(Final Notification Options)
idstring(ID)^[\w|-]+$required

The unique, string identifier of this waitlist process

is_activeboolean(Is Active)

Whether or not this waitlist process is active

modestring(Mode)required
Enum:"automatic""manual"
namestring(Name)required

The name of the waitlist process

notification_emailobject(Notification Email)required

The email to a person can registered

notification_smsstring(Notification Sms)required

A template for the SMS message to send when a person is ready to join

sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

curl -i -X PUT \
  'https://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/waitlistProcesses/{tenantId}/{id}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "automatic_options": {
      "registration_window": 1,
      "registration_window_type": "business days"
    },
    "confirmation_email": {
      "bcc": "string",
      "body": "string",
      "cc": "string",
      "from": "string",
      "from_name": "string",
      "reply_to": "string",
      "subject": "string"
    },
    "enable_confirmation_email": true,
    "enable_final_notification": true,
    "enable_sms": true,
    "final_notification_options": {
      "email": {
        "bcc": "string",
        "body": "string",
        "cc": "string",
        "from": "string",
        "from_name": "string",
        "reply_to": "string",
        "subject": "string"
      },
      "sms": "string",
      "window": 0.1,
      "window_type": "business days"
    },
    "id": "string",
    "is_active": true,
    "mode": "automatic",
    "name": "string",
    "notification_email": {
      "bcc": "string",
      "body": "string",
      "cc": "string",
      "from": "string",
      "from_name": "string",
      "reply_to": "string",
      "subject": "string"
    },
    "notification_sms": "string",
    "sys_bulk_load_at": "string",
    "sys_bulk_load_id": "string",
    "sys_bulk_load_pk": "string",
    "sys_bulk_load_record_no": 0.1,
    "sys_bulk_load_source_file": "string",
    "sys_calculated_field_error": "string",
    "sys_calculated_field_errors": [
      {
        "error": "string",
        "field": "string"
      }
    ],
    "sys_configuration_snapshot_id": "string",
    "sys_created_at": "2019-08-24T14:15:22Z",
    "sys_created_by_id": "string",
    "sys_deleted_by_id": "string",
    "sys_directive": "string",
    "sys_external_id": "string",
    "sys_has_files_in_s3": true,
    "sys_last_bulk_data_operation_id": "string",
    "sys_last_bulk_data_operation_sys_version": "string",
    "sys_last_modified_at": "2019-08-24T14:15:22Z",
    "sys_last_modified_by_id": "string",
    "sys_last_security_context": {},
    "sys_locked": true,
    "sys_snapshot_base_version": 0.1,
    "sys_version": 0.1
  }'

Responses

The waitlist process was updated successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
automatic_optionsobject(Automatic Options)required
confirmation_emailobject(Confirmation Email)required

The email to send when the application is received

enable_confirmation_emailboolean(Enable Confirmation Email)

Whether or not an email should be sent when the person is put on the waitlist

enable_final_notificationboolean(Enable Final Notification)

A final notification to people before they are bumped

enable_smsboolean(Enable Sms)

Whether to enable SMS messaging

final_notification_optionsobject(Final Notification Options)
idstring(ID)^[\w|-]+$required

The unique, string identifier of this waitlist process

is_activeboolean(Is Active)

Whether or not this waitlist process is active

modestring(Mode)required
Enum:"automatic""manual"
namestring(Name)required

The name of the waitlist process

notification_emailobject(Notification Email)required

The email to a person can registered

notification_smsstring(Notification Sms)required

A template for the SMS message to send when a person is ready to join

sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

Response
{ "automatic_options": { "registration_window": 1, "registration_window_type": "business days" }, "confirmation_email": { "bcc": "string", "body": "string", "cc": "string", "from": "string", "from_name": "string", "reply_to": "string", "subject": "string" }, "enable_confirmation_email": true, "enable_final_notification": true, "enable_sms": true, "final_notification_options": { "email": { … }, "sms": "string", "window": 0.1, "window_type": "business days" }, "id": "string", "is_active": true, "mode": "automatic", "name": "string", "notification_email": { "bcc": "string", "body": "string", "cc": "string", "from": "string", "from_name": "string", "reply_to": "string", "subject": "string" }, "notification_sms": "string", "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ { … } ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1 }